%define name 	gnome-run-dialog
%define version 1.7.0
%define release %mkrel 2


Summary: 	A reimplementation of the panel-run-dialog
Summary(de):	Ein Neuimplementierung des panel-run-Dialog 
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	http://www.nanolx.org/free/%{name}-%{version}.tar.bz2
License: 	GPLv3
Group: 		Graphical desktop/GNOME
URL: 		http://www.nanolx.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: 	gtk+2-devel
BuildRequires:  desktop-file-utils
BuildRequires: 	pygtk2.0-devel
BuildRequires:	python-devel
Requires:	python
Requires:	gnome-python-gconf
Requires:	pygtk2.0-libglade
Requires:	python-gobject
Requires:	gnome-terminal
Requires:	gksu
Requires: 	glibc >= 2.10.1
Requires: 	libstdc++6 >= 4.4.1
Obsoletes: 	%name < %version



%description
This is a Prototype of a reimplementation of the panel-run-dialog in pygtk.
You can run applications:
- with Environment-Variables (eg: nautilus $HOME or LANG=C sound-juicer)
- both in a terminal and as root (via gksu)
- with a selected file as arguement
Gnome-Run-Dialog uses the same History than the original Panel-Run-Dialog so you'll keep it.

HINT:
use "gnome-run-dialog --set" to assign Alt+F2 to gnome-run-dialog and "gnome-run-dialog --unset" to revert that.

%description -l de
Dies ist ein Prototyp des panel-run-Dialog, in PyGTK geschrieben. 
Es können Anwendungen ausgeführt werden:
 * mit Umgebungs-Variablen (zB: nautilus $ HOME oder LANG = C-Sound Juicer)
 * beides, in einem Terminal und als root (über gksu)
 * mit einer ausgewählten Datei als Argument

Gnome-Run-Dialog benutzt die gleiche Historie wie das Originale panel-run-Dialog.

%prep
%setup -q -n %{name}

%build
./configure --prefix=/usr

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Run Command
Comment=A reimplementation of the panel-run-dialog
Exec=%{_bindir}/%{name}
Icon=applications-system
Terminal=false
StartupNotify=false
Type=Application
Categories=Core;System;Gnome;X-MandrivaLinux-System-Configuration-GNOME
OnlyShowIn=GNOME
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/%{name}
%{_datadir}/%{name}/%{name}.ui

%changelog
* Sun Nov 22 2009 Texstar <texstar at gmail.com> 1.7.0-2pclos2010
- remove obsolete dependency

* Sun Nov 08 2009 slick50 <lxgator@gmail.com> 1.7.0-1pclos2010
- 1.7.0

* Fri May 22 2009 Texstar <texstar@gmail.com> 1.4-2pclos2009
- fix rpm group

* Tue May 27 2008 don_crissti <don_crissti@gmx.com> 1.4-1pclos2007
- initial build for PCLinuxOS

